Page 1 of 4 123 ... LastLast
Results 1 to 10 of 39

Thread: cannot install codecs/vlc

  1. #1

    Default cannot install codecs/vlc

    hi,
    i cannot insall vlc or any codecs to play movies in other players. yast freezes when i tried: VLC media player for openSUSE and i have to kill it, tells me i have to downgrade some packages when i tried opensuse-community.org/codecs-gnome.ymp so i agree and then it says instalation of packages failed. it gives me the error

    Code:
    y2base: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.0.
    YaST got signal 11 at YCP file OneClickInstallWorkerFunctions.ycp:188
    /sbin/yast2: line 437:  4738 Segmentation fault      $ybindir/y2base $module "$@" "$SELECTED_GUI" $Y2_GEOMETRY $Y2UI_ARGS
    i dont want too watch movies under wine, pls help. tell me what logs i have to post, thanks.

  2. #2

    Default Re: cannot install codecs/vlc

    i fallowed this: Check your multimedia problem in ten steps - openSUSE Forums and here it goes. i dont have some packages and some i cant install, e.g.

    Code:
     lc_all=c zypper ve
    Loading repository data...
    Reading installed packages...
    Some of the dependencies of installed packages are broken. In order to fix these
     dependencies, the following actions need to be taken:
    
    The following NEW package is going to be installed:
      libmp4v2 
    
    
    Overall download size: 717.0 K. After the operation, additional 2.3 M will be us
    ed.
    Continue? [YES/no]: yes
    Retrieving package libmp4v2-1.5.0.1-10.pm.1.i586 (1/1), 717.0 K (2.3 M unpacked)
    Retrieving: libmp4v2-1.5.0.1-10.pm.1.i586.rpm [done]
    Installing: libmp4v2-1.5.0.1-10.pm.1 [error]
    Installation of libmp4v2-1.5.0.1-10.pm.1 failed:
    (with --nodeps --force) Error: Subprocess failed. Error: RPM failed: error: open
     of /var/cache/zypp/packages/Packman failed: No such file or directory
    error: open of Repository/i586/libmp4v2-1.5.0.1-10.pm.1.i586.rpm failed: No such
     file or directory
    
    
    Abort, retry, ignore? [A/r/i]:
    then:

    Code:
    zypper in libxine1-codecs
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
    
    The following packages are going to be upgraded:
      libxine1 libxine1-gnome-vfs libxine1-pulse 
    
    
    The following NEW packages are going to be installed:
      libavcodec52 libavutil50 libmodplug0 libmp3lame0 libpostproc51 libx264-68 
    libxine1-codecs 
    
    
    The following packages are going to change architecture:
      libxine1 libxine1-gnome-vfs libxine1-pulse 
    
    
    The following packages are going to change vendor:
      libxine1 libxine1-gnome-vfs libxine1-pulse 
    
    
    Overall download size: 5.2 M. After the operation, additional 8.5 M will be used
    .
    Continue? [YES/no]: yes
    Retrieving package libmp3lame0-3.98.2-1.1.i686 (1/10), 125.0 K (286.0 K unpacked
    )
    Retrieving: libmp3lame0-3.98.2-1.1.i686.rpm [done]
    Installing: libmp3lame0-3.98.2-1.1 [done]
    
    Retrieving package libavutil50-0.5.0.19505-1.1.i686 (2/10), 28.0 K (59.0 K unpac
    ked)
    Retrieving: libavutil50-0.5.0.19505-1.1.i686.rpm [done]
    Installing: libavutil50-0.5.0.19505-1.1 [done]
    
    
    Retrieving package libmodplug0-0.8.7-2.1.i686 (3/10), 148.0 K (315.0 K unpacked)
    Installing: libmodplug0-0.8.7-2.1 [error]
    Installation of libmodplug0-0.8.7-2.1 failed:
    (with --nodeps --force) Error: Subprocess failed. Error: RPM failed: error: open
     of /var/cache/zypp/packages/11.1 failed: No such file or directory
    
    
    Abort, retry, ignore? [A/r/i]:
    and

    Code:
    zypper in gstreamer-0_10-ffmpeg
    Retrieving repository 'PK_TMP_DIR' metadata [done]
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
    
    The following NEW packages are going to be installed:
      gstreamer-0_10-ffmpeg libavcodec52 libavformat52 libpostproc51 libswscale0 
    libx264-68 
    
    
    Overall download size: 2.5 M. After the operation, additional 7.6 M will be used.
    Continue? [YES/no]: yes
    Retrieving package libswscale0-0.5.0.19505-1.1.i686 (1/6), 69.0 K (226.0 K unpacked)
    Retrieving: libswscale0-0.5.0.19505-1.1.i686.rpm [done]
    Installing: libswscale0-0.5.0.19505-1.1 [done]
    
    
    
    Retrieving package libpostproc51-0.5.0.19505-1.1.i686 (2/6), 18.0 K (62.0 K unpacked)
    Retrieving: libpostproc51-0.5.0.19505-1.1.i686.rpm [done]
    Installing: libpostproc51-0.5.0.19505-1.1 [done]
    
    
    
    Retrieving package libx264-68-0.68-4.1.i686 (3/6), 215.0 K (608.0 K unpacked)
    Retrieving: libx264-68-0.68-4.1.i686.rpm [done]
    Installing: libx264-68-0.68-4.1 [0%]
    and then it hangs.

    and the last one
    Code:
    rpm --query --all 'libav*' 'libpostproc*' 'libswscale*' '*xine*' '*gst*' MPlayer '*vlc*' | grep -v avahi | sort
    gstreamer-0_10-0.10.21-3.11
    gstreamer-0_10-fluendo-mp3-0.10.10-42.pm.1
    gstreamer-0_10-plugins-bad-0.10.8-6.6.1
    gstreamer-0_10-plugins-bad-lang-0.10.8-6.6.1
    gstreamer-0_10-plugins-base-0.10.21-2.20
    gstreamer-0_10-plugins-good-0.10.10-3.20
    gstreamer-0_10-schroedinger-1.0.5-2.19
    gstreamer-0_10-utils-0.10.21-3.11
    gstreamer-utils-0.10.21-3.11
    libavutil49-0.5-0.pm.3
    libavutil50-0.5.0.19505-1.1
    libgstapp-0_10-0-0.10.8-6.6.1
    libgstinterfaces-0_10-0-0.10.21-2.20
    libgstreamer-0_10-0-0.10.21-3.11
    libpostproc51-0.5.0.19505-1.1
    libswscale0-0.5.0.19505-1.1
    libxine1-1.1.15-23.4.1
    libxine1-gnome-vfs-1.1.15-23.3.3
    libxine1-pulse-1.1.15-23.3.3
    phonon-backend-xine-4.1.3-4.2.9
    totem-xine-2.22.2-10.3
    totem-xine-lang-2.22.2-10.3
    xinetd-2.3.14-129.28

  3. #3
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,857
    Blog Entries
    20

    Default Re: cannot install codecs/vlc

    Please open a terminal and post the result of:

    Code:
    zypper lr -d
    Multi-media and Restricted Format Installation Guide - openSUSE Forums
    Tumbleweed_KDE
    My Articles Was I any help? If yes: Click the star below

  4. #4

    Default Re: cannot install codecs/vlc

    Code:
    zypper lr -d
    #  | Alias                | Name                  | Enabled | Refresh | Priority
     | Type     | URI                                                               
                     | Service
    ---+----------------------+-----------------------+---------+---------+---------
    -+----------+-------------------------------------------------------------------
    -----------------+--------
    1  | 11.1 - VideoLan      | 11.1 - VideoLan       | Yes     | Yes     |   99    
     | rpm-md   | http://download.videolan.org/pub/videolan/vlc/SuSE/11.1/          
                     |        
    2  | Libdvdcss repository | Libdvdcss repository  | Yes     | Yes     |   99    
     | rpm-md   | http://suse.linuxin.dk/repo/11.1/                                 
                     |        
    3  | PHP                  | PHP                   | Yes     | Yes     |   99    
     | rpm-md   | http://download.opensuse.org/repositories/server:/php/server_apach
    e_openSUSE_11.0/ |        
    4  | PK_TMP_DIR           | PK_TMP_DIR            | Yes     | Yes     |   99    
     | plaindir | dir:///var/tmp/TmpDir.QW1mOt                                      
                     |        
    5  | Packman Repository   | Packman Repository    | Yes     | Yes     |   99    
     | rpm-md   | http://ftp.skynet.be/pub/packman/suse/11.1/                       
                     |        
    6  | gnome                | gnome                 | Yes     | Yes     |   99    
     | rpm-md   | http://download.opensuse.org/repositories/GNOME:/Community/openSUS
    E_11.0/          |        
    7  | gnome2               | gnome2                | Yes     | Yes     |   99    
     | rpm-md   | http://download.opensuse.org/repositories/GNOME%3a/STABLE/openSUSE
    _11.0/           |        
    8  | home:HessiJames      | home:HessiJames       | Yes     | Yes     |   99    
     | rpm-md   | http://download.opensuse.org/repositories/home:/HessiJames/openSUS
    E_11.1/          |        
    9  | openSUSE 11.1-0      | openSUSE 11.1-0       | Yes     | No      |   99    
     | yast2    | cd:///?devices=/dev/sr0                                           
                     |        
    10 | openSUSE:11.0        | openSUSE:11.0         | Yes     | Yes     |   99    
     | yast2    | http://download.opensuse.org/distribution/11.0/repo/oss/          
                     |        
    11 | packman              | packman               | Yes     | Yes     |   99    
     | rpm-md   | http://ftp.skynet.be/pub/packman/suse/11.0/                       
                     |        
    12 | repo-debug           | openSUSE-11.1-Debug   | No      | Yes     |  100    
     | NONE     | http://download.opensuse.org/debug/distribution/11.1/repo/oss/    
                     |        
    13 | repo-non-oss         | openSUSE-11.1-Non-Oss | Yes     | Yes     |  100    
     | yast2    | http://download.opensuse.org/distribution/11.1/repo/non-oss/      
                     |        
    14 | repo-oss             | openSUSE-11.1-Oss     | Yes     | Yes     |  100    
     | yast2    | http://download.opensuse.org/distribution/11.1/repo/oss/          
                     |        
    15 | repo-source          | openSUSE-11.1-Source  | No      | Yes     |  100    
     | NONE     | http://download.opensuse.org/source/distribution/11.1/repo/oss/   
                     |        
    16 | repo-update          | openSUSE-11.1-Update  | Yes     | Yes     |   20    
     | rpm-md   | http://download.opensuse.org/update/11.1/                         
                     |        
    17 | vlc                  | vlc                   | Yes     | Yes     |   99    
     | rpm-md   | http://download.videolan.org/pub/vlc/SuSE/11.1                    
                     |        
    18 | wine                 | wine                  | Yes     | Yes     |   99    
     | rpm-md   | http://download.opensuse.org/repositories/Emulators:/Wine/openSUSE
    _11.0/           |

  5. #5

    Default Re: cannot install codecs/vlc

    Install libdvdcss from videolan repo and after that remove both libdvdcss and videolan repository. After that set all repositories to the same priority. After that go to software management change the look to repositories, tick Packman and from the menu check update in this list unconditionally.
    How does a linux geek make love??

    - rtfm; unzip; strip; touch; finger; mount; fsck; more; yes; umount; zip; sleep;

  6. #6
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,857
    Blog Entries
    20

    Default Re: cannot install codecs/vlc

    Tumbleweed_KDE
    My Articles Was I any help? If yes: Click the star below

  7. #7

    Default Re: cannot install codecs/vlc

    in vlc repo in yast there are only debug and development packages. when i try to install rpm from Index of /pub/libdvdcss/1.2.9/rpm/
    it says failed to install file, the packagekitd service could not be started.

  8. #8
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,857
    Blog Entries
    20

    Default Re: cannot install codecs/vlc

    show us screen of that
    print screen and save and upload to imagebam.com (or similar)
    Tumbleweed_KDE
    My Articles Was I any help? If yes: Click the star below

  9. #9

  10. #10
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,857
    Blog Entries
    20

    Default Re: cannot install codecs/vlc

    I think you are just looking in the 'Upgrades' Tab.

    You need to view all. And it's the crumby gnome UI.
    ===========================

    Anyway all you need do to see if libdvdcss is installed is this in a terminal
    If it shows in the output just disable VLC and the libdvdcss repo's

    Code:
    rpm -qi libdvdcss
    Tumbleweed_KDE
    My Articles Was I any help? If yes: Click the star below

Page 1 of 4 123 ... LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •